Skip to content
Permalink
Browse files

Added support for pdf snapshots rendering to Snap package

  • Loading branch information...
luccioman committed Dec 12, 2018
1 parent 08ea0b0 commit 7728de4ba6384ed1ca681d36fc9a1df864fb2b23
Showing with 9 additions and 2 deletions.
  1. +9 −2 snap/snapcraft.yaml
@@ -15,14 +15,19 @@ icon: addon/YaCy256x256.png

apps:
yacy-search:
environment:
# needed to run wkhtmltopdf from YaCy within the Snap for Snapshots generation
# with wkhtmltopdf 0.12.2.4 included with Ubuntu 16.04 LTS (recommended minimum system to build Snaps in 2018)
QT_QPA_PLATFORM_PLUGIN_PATH: "$SNAP/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms"
command: sh "$SNAP/yacy/startYACY.sh" -f -s "$SNAP_USER_DATA"
# Interfaces authorizations requirements
# network-bind - to allow acting as an HTTP server and client
# desktop - to launch the default desktop navigator when starting (with xdg-open command) - not strictly necessary
# home - not strictly necessary but can be convenient for some features to have read/write access to files outside the snap data folders, notably
# - to index files in Intranet mode
# - for index, dump, vocabulary import/export features
plugs: [network-bind, desktop, home]
# x11 - needed by wkhtmltopdf to generate Snapshots using WebKit engine - not necessary when Snapshots feature is not used
plugs: [network-bind, desktop, home, x11]
passwd: # set the YaCy administrator password
environment:
YACY_DATA_PATH: "$SNAP_USER_DATA/DATA"
@@ -35,7 +40,9 @@ parts:
yacy-search:
# Additional packages
# curl : needed by the passwd.sh script to call a YaCy API when the server is running
stage-packages: [curl]
# wkhtmltopdf : needed by the snapshot generation feature.
# Conversion from PDF snapshots to images is done using the pure java pdfbox library, as imagemagick is more difficult to propertly embed within a Snap
stage-packages: [curl, wkhtmltopdf]
plugin: ant
ant-build-targets:
- clean

0 comments on commit 7728de4

Please sign in to comment.
You can’t perform that action at this time.